---
title: rattler-build upload conda-forge
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) [upload](index.md) conda-forge

Options for uploading to conda-forge

## Usage
```
rattler-build upload conda-forge [OPTIONS] --staging-token <STAGING_TOKEN> --feedstock <FEEDSTOCK> --feedstock-token <FEEDSTOCK_TOKEN>
```

## Options
- <a id="arg---staging-token" href="#arg---staging-token">`--staging-token <STAGING_TOKEN>`</a>
:  The Anaconda API key
<br>**required**: `true`
<br>**env**: `STAGING_BINSTAR_TOKEN`
- <a id="arg---feedstock" href="#arg---feedstock">`--feedstock <FEEDSTOCK>`</a>
:  The feedstock name
<br>**required**: `true`
<br>**env**: `FEEDSTOCK_NAME`
- <a id="arg---feedstock-token" href="#arg---feedstock-token">`--feedstock-token <FEEDSTOCK_TOKEN>`</a>
:  The feedstock token
<br>**required**: `true`
<br>**env**: `FEEDSTOCK_TOKEN`
- <a id="arg---staging-channel" href="#arg---staging-channel">`--staging-channel <STAGING_CHANNEL>`</a>
:  The staging channel name
<br>**env**: `STAGING_CHANNEL`
- <a id="arg---anaconda-url" href="#arg---anaconda-url">`--anaconda-url <ANACONDA_URL>`</a>
:  The Anaconda Server URL
<br>**env**: `ANACONDA_SERVER_URL`
- <a id="arg---validation-endpoint" href="#arg---validation-endpoint">`--validation-endpoint <VALIDATION_ENDPOINT>`</a>
:  The validation endpoint url
<br>**env**: `VALIDATION_ENDPOINT`
- <a id="arg---provider" href="#arg---provider">`--provider <PROVIDER>`</a>
:  The CI provider
<br>**env**: `CI`
- <a id="arg---dry-run" href="#arg---dry-run">`--dry-run`</a>
:  Dry run, don't actually upload anything
<br>**env**: `DRY_RUN`
